Name:          oidn
Version:       2.3.1
Release:       1mamba
Summary:       Open Image Denoise library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openimagedenoise.org/
Source:        https://github.com/OpenImageDenoise/oidn.git/v%{version}/oidn-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Open Image Denoise library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/oidnBenchmark
%{_bindir}/oidnDenoise
%{_bindir}/oidnTest

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libOpenImageDenoise.so.*
%{_libdir}/libOpenImageDenoise_core.so.*
%{_libdir}/libOpenImageDenoise_device_cpu.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/OpenImageDenoise
%{_includedir}/OpenImageDenoise/*
%{_libdir}/libOpenImageDenoise.so
%dir %{_libdir}/cmake/OpenImageDenoise-%{version}
%{_libdir}/cmake/OpenImageDenoise-%{version}/OpenImageDenoise*.cmake
%dir %{_docdir}/OpenImageDenoise
%{_docdir}/OpenImageDenoise/*
%doc README.md

%changelog
* Wed Nov 13 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-1mamba
- package created using the webbuild interface
